aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/man.sh
diff options
context:
space:
mode:
authorumarcor <unai.martinezcorral@ehu.eus>2021-01-05 20:46:15 +0100
committertgingold <tgingold@users.noreply.github.com>2021-01-06 07:30:46 +0100
commit99853361819bff87e7cf8103c5205721ec195c32 (patch)
tree29a6dda1199534497f5a09ea1268aa3a619c41b8 /scripts/man.sh
parent301f442a6e66a83b47ed7d40e5b61389b9c33446 (diff)
downloadghdl-99853361819bff87e7cf8103c5205721ec195c32.tar.gz
ghdl-99853361819bff87e7cf8103c5205721ec195c32.tar.bz2
ghdl-99853361819bff87e7cf8103c5205721ec195c32.zip
mv dist/* scripts/
Diffstat (limited to 'scripts/man.sh')
-rwxr-xr-xscripts/man.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/man.sh b/scripts/man.sh
new file mode 100755
index 000000000..4c5316ddb
--- /dev/null
+++ b/scripts/man.sh
@@ -0,0 +1,15 @@
+#! /bin/bash
+
+cd $(dirname $0)/..
+
+rm -rf doc/_build/man/*
+
+set -e
+
+docker run --rm -it \
+ -v /$(pwd):/src \
+ -w //src/doc \
+ btdi/sphinx:featured \
+ sh -c "sphinx-build -T -b man . ./_build/man"
+
+nroff -man doc/_build/man/ghdl.1